package com.yunfeiyun.agmp.fms.mapper;

import com.yunfeiyun.agmp.fms.domain.SysWarnread;

import java.util.List;

/**
 * 系统预警已读Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-07-05
 */
public interface SysWarnreadMapper 
{
    /**
     * 查询系统预警已读
     * 
     * @param warnreadId 系统预警已读主键
     * @return 系统预警已读
     */
    public SysWarnread selectSysWarnreadByWarnreadId(String warnreadId);

    /**
     * 查询系统预警已读列表
     * 
     * @param sysWarnread 系统预警已读
     * @return 系统预警已读集合
     */
    public List<SysWarnread> selectSysWarnreadList(SysWarnread sysWarnread);

    /**
     * 新增系统预警已读
     * 
     * @param sysWarnread 系统预警已读
     * @return 结果
     */
    public int insertSysWarnread(SysWarnread sysWarnread);

    /**
     * 修改系统预警已读
     * 
     * @param sysWarnread 系统预警已读
     * @return 结果
     */
    public int updateSysWarnread(SysWarnread sysWarnread);

    /**
     * 删除系统预警已读
     * 
     * @param warnreadId 系统预警已读主键
     * @return 结果
     */
    public int deleteSysWarnreadByWarnreadId(String warnreadId);

    /**
     * 批量删除系统预警已读
     * 
     * @param warnreadIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysWarnreadByWarnreadIds(String[] warnreadIds);
}
